groovy.sql

## Class GroovyRowResult

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.sql.GroovyRowResult

All Implemented Interfaces:
  GroovyObject, java.util.Map

    public class GroovyRowResult
    extends GroovyObjectSupport
    implements java.util.Map

Represents an extent of objects. It's used in the oneRow method to be able to access the result of a SQL query by the name of the column, or by the column number.

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`GroovyRowResult(java.util.Map result)`

### Method Summary

Methods
`void` `clear()`
`boolean` `containsKey(java.lang.Object key)`
`boolean` `containsValue(java.lang.Object value)`
`java.util.Set` `entrySet()`
`boolean` `equals(java.lang.Object o)`
`java.lang.Object` `get(java.lang.Object property)`
`java.lang.Object` `getAt(int index)` Retrieve the value of the property by its index.
`java.lang.Object` `getProperty(java.lang.String property)` Retrieve the value of the property by its name
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Set` `keySet()`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`
`void` `putAll(java.util.Map t)`
`java.lang.Object` `remove(java.lang.Object rawKey)`
`int` `size()`
`java.lang.String` `toString()`
`java.util.Collection` `values()`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, invokeMethod, setMetaClass, setProperty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GroovyRowResult

    public GroovyRowResult(java.util.Map result)

### Method Detail

#### getProperty

    public java.lang.Object getProperty(java.lang.String property)

Retrieve the value of the property by its name

Specified by:
  `getProperty` in interface `GroovyObject`
Overrides:
  `getProperty` in class `GroovyObjectSupport`
Parameters:
  `property` - is the name of the property to look at
Returns:
  the value of the property

#### getAt

    public java.lang.Object getAt(int index)

Retrieve the value of the property by its index. A negative index will count backwards from the last column.

Parameters:
  `index` - is the number of the column to look at
Returns:
  the value of the property

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### clear

    public void clear()

Specified by:
  `clear` in interface `java.util.Map`

#### containsKey

    public boolean containsKey(java.lang.Object key)

Specified by:
  `containsKey` in interface `java.util.Map`

#### containsValue

    public boolean containsValue(java.lang.Object value)

Specified by:
  `containsValue` in interface `java.util.Map`

#### entrySet

    public java.util.Set entrySet()

Specified by:
  `entrySet` in interface `java.util.Map`

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in interface `java.util.Map`
Overrides:
  `equals` in class `java.lang.Object`

#### get

    public java.lang.Object get(java.lang.Object property)

Specified by:
  `get` in interface `java.util.Map`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `java.util.Map`
Overrides:
  `hashCode` in class `java.lang.Object`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `java.util.Map`

#### keySet

    public java.util.Set keySet()

Specified by:
  `keySet` in interface `java.util.Map`

#### put

    public java.lang.Object put(java.lang.Object key,
                       java.lang.Object value)

Specified by:
  `put` in interface `java.util.Map`

#### putAll

    public void putAll(java.util.Map t)

Specified by:
  `putAll` in interface `java.util.Map`

#### remove

    public java.lang.Object remove(java.lang.Object rawKey)

Specified by:
  `remove` in interface `java.util.Map`

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Map`

#### values

    public java.util.Collection values()

Specified by:
  `values` in interface `java.util.Map`